import 'package:json_annotation/json_annotation.dart';

part 'setting_page_style_item_model.g.dart';

@JsonSerializable()
class SettingPageStyleItemModel extends Object {
  @JsonKey(name: 'name')
  String name;

  @JsonKey(name: 'name_color')
  String nameColor;

  @JsonKey(name: 'desc')
  String desc;

  @JsonKey(name: 'desc_color')
  String descColor;

  @JsonKey(name: 'skip_identifier')
  String skipIdentifier;

  SettingPageStyleItemModel(
    this.name,
    this.nameColor,
    this.desc,
    this.descColor,
    this.skipIdentifier,
  );

  factory SettingPageStyleItemModel.fromJson(Map<String, dynamic> srcJson) =>
      _$SettingPageStyleItemModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$SettingPageStyleItemModelToJson(this);
}
