import 'package:json_annotation/json_annotation.dart';

part 'home_auth_model.g.dart';

@JsonSerializable()
class HomeAuthModel extends Object {

  @JsonKey(name: 'taobao_auth_icon')
  String icon;

  @JsonKey(name: 'taoabo_tip_bg_color')
  String bgColor;

  @JsonKey(name: 'taoabo_tip_shadow_color')
  String shadowColor;

  @JsonKey(name: 'taoabo_tip_text_color')
  String textColor;

  @JsonKey(name: 'taoabo_tip_text')
  String text;

  @JsonKey(name: 'taoabo_tip_btn_text_color')
  String tipBtnTextColor;

  @JsonKey(name: 'taoabo_tip_btn_bg_color')
  String tipBtnBgColor;

  @JsonKey(name: 'taoabo_tip_btn_text')
  String tipBtnText;

  HomeAuthModel(this.icon,this.bgColor,this.shadowColor,this.textColor,this.text,this.tipBtnTextColor,this.tipBtnBgColor,this.tipBtnText,);

  factory HomeAuthModel.fromJson(Map<String, dynamic> srcJson) => _$HomeAuthModelFromJson(srcJson);

  Map<String, dynamic> toJson() => _$HomeAuthModelToJson(this);

}


